Set accountig software settings
curl -X POST "https://api-gateway-prod-europe-west-1-7epuecvu.ew.gateway.dev/v2/organization/accounting-settings/import" \
-H "Content-Type: application/json" \
-H "api_key: YOUR_API_KEY" \
-d '{
"data": {
"organizationId": "example_string",
"accountingItems": [
{
"accountingSoftwareId": 1,
"value": "Naklady",
"recalculate": false,
"creditAccount": 502,
"debitAccount": 302,
"code": "2N",
"ratioAllocation": {
"recalculateVat50_50": false,
"taxable": {
"value": "example_string",
"ratio": 80
},
"nonTaxable": {
"value": "example_string",
"ratio": 20
}
},
"resourceType": "receipt"
}
],
"numericCodes": [
{
"accountingSoftwareId": 1,
"value": "domestic",
"name": "Vseobecny ciselny rad",
"paymentType": "transfer"
}
],
"cashRegisters": [
{
"accountingSoftwareId": 1,
"value": "cash_register",
"name": "Pokladna EU"
}
],
"projects": [
{
"accountingSoftwareId": 1,
"value": "project_ZA",
"note": "Stavba mostu"
}
],
"orders": [
{
"accountingSoftwareId": "example_string",
"value": "order_bridge",
"code": "COM",
"name": "order 1"
}
],
"activities": [
{
"accountingSoftwareId": 2,
"value": "activity_test",
"code": "JULO"
}
],
"expenditureCenters": [
{
"accountingSoftwareId": 1,
"value": "expenditure center",
"code": "EXIT"
}
],
"generalDocumentAgendas": [
{
"accountingSoftwareId": 1,
"name": "document type",
"code": "EXIT"
}
],
"predefinedNotes": [
{
"accountingSoftwareId": 1,
"value": "document type"
}
],
"classificationVat": [
{
"resourceTypeFlags": [
"received_receipt"
],
"accountingSoftwareId": 1,
"name": "document type",
"code": "EXIT",
"validFrom": "2024-12-25T10:00:00Z",
"validTo": "2024-12-25T10:00:00Z",
"isReverseCharge": true
}
],
"bankAccountInfo": [
{
"accountingSoftwareId": 1,
"name": "VUB bank",
"code": "JUL",
"accountIdentification": "SK456"
}
],
"classificationKVVat": [
{
"accountingSoftwareId": 1,
"name": "Prijaté zjednodušené faktúry podľa §74...",
"code": "B3"
}
]
}
}'
import requests
import json
url = "https://api-gateway-prod-europe-west-1-7epuecvu.ew.gateway.dev/v2/organization/accounting-settings/import"
headers = {
"Content-Type": "application/json",
"api_key": "YOUR_API_KEY"
}
data = {
"data": {
"organizationId": "example_string",
"accountingItems": [
{
"accountingSoftwareId": 1,
"value": "Naklady",
"recalculate": false,
"creditAccount": 502,
"debitAccount": 302,
"code": "2N",
"ratioAllocation": {
"recalculateVat50_50": false,
"taxable": {
"value": "example_string",
"ratio": 80
},
"nonTaxable": {
"value": "example_string",
"ratio": 20
}
},
"resourceType": "receipt"
}
],
"numericCodes": [
{
"accountingSoftwareId": 1,
"value": "domestic",
"name": "Vseobecny ciselny rad",
"paymentType": "transfer"
}
],
"cashRegisters": [
{
"accountingSoftwareId": 1,
"value": "cash_register",
"name": "Pokladna EU"
}
],
"projects": [
{
"accountingSoftwareId": 1,
"value": "project_ZA",
"note": "Stavba mostu"
}
],
"orders": [
{
"accountingSoftwareId": "example_string",
"value": "order_bridge",
"code": "COM",
"name": "order 1"
}
],
"activities": [
{
"accountingSoftwareId": 2,
"value": "activity_test",
"code": "JULO"
}
],
"expenditureCenters": [
{
"accountingSoftwareId": 1,
"value": "expenditure center",
"code": "EXIT"
}
],
"generalDocumentAgendas": [
{
"accountingSoftwareId": 1,
"name": "document type",
"code": "EXIT"
}
],
"predefinedNotes": [
{
"accountingSoftwareId": 1,
"value": "document type"
}
],
"classificationVat": [
{
"resourceTypeFlags": [
"received_receipt"
],
"accountingSoftwareId": 1,
"name": "document type",
"code": "EXIT",
"validFrom": "2024-12-25T10:00:00Z",
"validTo": "2024-12-25T10:00:00Z",
"isReverseCharge": true
}
],
"bankAccountInfo": [
{
"accountingSoftwareId": 1,
"name": "VUB bank",
"code": "JUL",
"accountIdentification": "SK456"
}
],
"classificationKVVat": [
{
"accountingSoftwareId": 1,
"name": "Prijaté zjednodušené faktúry podľa §74...",
"code": "B3"
}
]
}
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api-gateway-prod-europe-west-1-7epuecvu.ew.gateway.dev/v2/organization/accounting-settings/import", {
method: "POST",
headers: {
"Content-Type": "application/json",
"api_key": "YOUR_API_KEY"
},
body: JSON.stringify({
"data": {
"organizationId": "example_string",
"accountingItems": [
{
"accountingSoftwareId": 1,
"value": "Naklady",
"recalculate": false,
"creditAccount": 502,
"debitAccount": 302,
"code": "2N",
"ratioAllocation": {
"recalculateVat50_50": false,
"taxable": {
"value": "example_string",
"ratio": 80
},
"nonTaxable": {
"value": "example_string",
"ratio": 20
}
},
"resourceType": "receipt"
}
],
"numericCodes": [
{
"accountingSoftwareId": 1,
"value": "domestic",
"name": "Vseobecny ciselny rad",
"paymentType": "transfer"
}
],
"cashRegisters": [
{
"accountingSoftwareId": 1,
"value": "cash_register",
"name": "Pokladna EU"
}
],
"projects": [
{
"accountingSoftwareId": 1,
"value": "project_ZA",
"note": "Stavba mostu"
}
],
"orders": [
{
"accountingSoftwareId": "example_string",
"value": "order_bridge",
"code": "COM",
"name": "order 1"
}
],
"activities": [
{
"accountingSoftwareId": 2,
"value": "activity_test",
"code": "JULO"
}
],
"expenditureCenters": [
{
"accountingSoftwareId": 1,
"value": "expenditure center",
"code": "EXIT"
}
],
"generalDocumentAgendas": [
{
"accountingSoftwareId": 1,
"name": "document type",
"code": "EXIT"
}
],
"predefinedNotes": [
{
"accountingSoftwareId": 1,
"value": "document type"
}
],
"classificationVat": [
{
"resourceTypeFlags": [
"received_receipt"
],
"accountingSoftwareId": 1,
"name": "document type",
"code": "EXIT",
"validFrom": "2024-12-25T10:00:00Z",
"validTo": "2024-12-25T10:00:00Z",
"isReverseCharge": true
}
],
"bankAccountInfo": [
{
"accountingSoftwareId": 1,
"name": "VUB bank",
"code": "JUL",
"accountIdentification": "SK456"
}
],
"classificationKVVat": [
{
"accountingSoftwareId": 1,
"name": "Prijaté zjednodušené faktúry podľa §74...",
"code": "B3"
}
]
}
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"data": {
"organizationId": "example_string",
"accountingItems": [
{
"accountingSoftwareId": 1,
"value": "Naklady",
"recalculate": false,
"creditAccount": 502,
"debitAccount": 302,
"code": "2N",
"ratioAllocation": {
"recalculateVat50_50": false,
"taxable": {
"value": "example_string",
"ratio": 80
},
"nonTaxable": {
"value": "example_string",
"ratio": 20
}
},
"resourceType": "receipt"
}
],
"numericCodes": [
{
"accountingSoftwareId": 1,
"value": "domestic",
"name": "Vseobecny ciselny rad",
"paymentType": "transfer"
}
],
"cashRegisters": [
{
"accountingSoftwareId": 1,
"value": "cash_register",
"name": "Pokladna EU"
}
],
"projects": [
{
"accountingSoftwareId": 1,
"value": "project_ZA",
"note": "Stavba mostu"
}
],
"orders": [
{
"accountingSoftwareId": "example_string",
"value": "order_bridge",
"code": "COM",
"name": "order 1"
}
],
"activities": [
{
"accountingSoftwareId": 2,
"value": "activity_test",
"code": "JULO"
}
],
"expenditureCenters": [
{
"accountingSoftwareId": 1,
"value": "expenditure center",
"code": "EXIT"
}
],
"generalDocumentAgendas": [
{
"accountingSoftwareId": 1,
"name": "document type",
"code": "EXIT"
}
],
"predefinedNotes": [
{
"accountingSoftwareId": 1,
"value": "document type"
}
],
"classificationVat": [
{
"resourceTypeFlags": [
"received_receipt"
],
"accountingSoftwareId": 1,
"name": "document type",
"code": "EXIT",
"validFrom": "2024-12-25T10:00:00Z",
"validTo": "2024-12-25T10:00:00Z",
"isReverseCharge": true
}
],
"bankAccountInfo": [
{
"accountingSoftwareId": 1,
"name": "VUB bank",
"code": "JUL",
"accountIdentification": "SK456"
}
],
"classificationKVVat": [
{
"accountingSoftwareId": 1,
"name": "Prijaté zjednodušené faktúry podľa §74...",
"code": "B3"
}
]
}
}`)
req, err := http.NewRequest("POST", "https://api-gateway-prod-europe-west-1-7epuecvu.ew.gateway.dev/v2/organization/accounting-settings/import", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("api_key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api-gateway-prod-europe-west-1-7epuecvu.ew.gateway.dev/v2/organization/accounting-settings/import')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['api_key'] = 'YOUR_API_KEY'
request.body = '{
"data": {
"organizationId": "example_string",
"accountingItems": [
{
"accountingSoftwareId": 1,
"value": "Naklady",
"recalculate": false,
"creditAccount": 502,
"debitAccount": 302,
"code": "2N",
"ratioAllocation": {
"recalculateVat50_50": false,
"taxable": {
"value": "example_string",
"ratio": 80
},
"nonTaxable": {
"value": "example_string",
"ratio": 20
}
},
"resourceType": "receipt"
}
],
"numericCodes": [
{
"accountingSoftwareId": 1,
"value": "domestic",
"name": "Vseobecny ciselny rad",
"paymentType": "transfer"
}
],
"cashRegisters": [
{
"accountingSoftwareId": 1,
"value": "cash_register",
"name": "Pokladna EU"
}
],
"projects": [
{
"accountingSoftwareId": 1,
"value": "project_ZA",
"note": "Stavba mostu"
}
],
"orders": [
{
"accountingSoftwareId": "example_string",
"value": "order_bridge",
"code": "COM",
"name": "order 1"
}
],
"activities": [
{
"accountingSoftwareId": 2,
"value": "activity_test",
"code": "JULO"
}
],
"expenditureCenters": [
{
"accountingSoftwareId": 1,
"value": "expenditure center",
"code": "EXIT"
}
],
"generalDocumentAgendas": [
{
"accountingSoftwareId": 1,
"name": "document type",
"code": "EXIT"
}
],
"predefinedNotes": [
{
"accountingSoftwareId": 1,
"value": "document type"
}
],
"classificationVat": [
{
"resourceTypeFlags": [
"received_receipt"
],
"accountingSoftwareId": 1,
"name": "document type",
"code": "EXIT",
"validFrom": "2024-12-25T10:00:00Z",
"validTo": "2024-12-25T10:00:00Z",
"isReverseCharge": true
}
],
"bankAccountInfo": [
{
"accountingSoftwareId": 1,
"name": "VUB bank",
"code": "JUL",
"accountIdentification": "SK456"
}
],
"classificationKVVat": [
{
"accountingSoftwareId": 1,
"name": "Prijaté zjednodušené faktúry podľa §74...",
"code": "B3"
}
]
}
}'
response = http.request(request)
puts response.body
{
"data": {},
"success": true,
"message": "example_string",
"code": "APP_UNAUTHENTICATED"
}
{
"error": "Forbidden",
"message": "You don't have permission to access this resource",
"code": 403
}
{
"error": "Not Found",
"message": "The requested resource was not found",
"code": 404
}
{
"error": "Internal Server Error",
"message": "An unexpected error occurred on the server",
"code": 500,
"requestId": "req_1234567890"
}
POST
/v2/organization/accounting-settings/import
POST
Base URLstring
Target server for requests. Edit to use your own host.
API Key (header: api_key)
api_keystring
RequiredAPI key (sent in header)
Content-Typestring
RequiredThe media type of the request body
Options: application/json
Request Preview
Response
Response will appear here after sending the request
Authentication
header
api_keystring
RequiredAPI Key for authentication. Provide your API key in the header.
Body
application/json
Responses
dataobject
successboolean
messagestring
optional message to help user understand error code
codestring
Allowed values:
APP_UNAUTHENTICATEDAPP_INCORRECT_INPUT_DATASAVE_DATA_ERROR_CODEWas this page helpful?